Bug 731702 - jBPM workitems module has dependency on snapshot artifact
Summary: jBPM workitems module has dependency on snapshot artifact
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5
Version: BRMS 5.2.0-ER1
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
: BRMS 5.3.0.GA
Assignee: Kris Verlaenen
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 11:58 UTC by Julian Coleman
Modified: 2012-01-25 19:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Julian Coleman 2011-08-18 11:58:32 UTC
Description of problem:

jbpm-workitems/pom.xml contains a dependency on:

  <artifactId>commons-finder</artifactId>
  <version>1.0-20080905.033643-1</version>

which is a snapshot artifact.


Version-Release number of selected component (if applicable):

jBPM 5.1.x (and trunk)


Additional info:

Removing the dependency on the snapshot artifact would seem to be the simplest solution.  However, removing all modules that are unsupported in the platform release is also a possibility (removing jbpm-workitems and jbpm-human-task also requires alteration to downstread drools components).

Comment 1 Ryan Zhang 2011-11-14 11:04:02 UTC
It seems to me that this issue has been resolved on jBPM 5.2.0-snapshot(ie. trunk on github)
So it should be resolved for BRMS 5.3 dev5. Please verify this issue on DEV5.

Comment 2 Lukáš Petrovický 2011-11-14 12:06:59 UTC
No longer an issue with DEV5.


Note You need to log in before you can comment on or make changes to this bug.